// PP2KTexturePool.cpp: implementation of the PP2KTexturePool class.
//
//////////////////////////////////////////////////////////////////////

#include "PP2KTexturePool.h"

#include<Gameos\\Toolos.hpp>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

PP2KTexturePool::PP2KTexturePool(const char* path,const char* hint_file):TGAFilePool(path,hint_file)
{
	HintFile=new NotationFile(texturePath+"Textures.hint");
}

bool PP2KTexturePool::LoadImageGOS(GOSImage *image, int t)
{
/*
	MString full_name,file_name = texturePath;
	file_name += image->imageName;
	full_name =file_name;
	full_name +=".png";
	const char *tstr;

	if(!gos_DoesFileExist(full_name)) 
	{
		full_name=file_name;
		full_name += ".tga";
		if(!gos_DoesFileExist(full_name))
		{
			Page *page=HintFile->FindPage(image->imageName);
			if(page && page->GetEntry("alias",&tstr))
			{
				image->imageName=tstr;

			}
			else
			{
			
			}
		}
	}
*/	
	return TGAFilePool::LoadImageGOS(image,t);
}


PP2KTexturePool::~PP2KTexturePool()
{
delete HintFile;

}
